#include "types.r"
#define SystemSevenOrLater 1
resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	0xE00,
	enabled,
	"File",
	{	/* array: 10 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"Close", noIcon, "W", noMark, plain,
		/* [4] */
		"Save", noIcon, "S", noMark, plain,
		/* [5] */
		"Save As...", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Page Setup...", noIcon, noKey, noMark, plain,
		/* [8] */
		"Print...", noIcon, "P", noMark, plain,
		/* [9] */
		"-", noIcon, noKey, noMark, plain,
		/* [10] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x3400,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFD7,
	enabled,
	"Test Stuff",
	{	/* array: 1 elements */
		/* [1] */
		"Change Grid value", noIcon, noKey, noMark, plain
	}
};

resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{164, 115, 184, 185},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{5, 10, 43, 290},
		StaticText {
			disabled,
			"The Simplest Shell\n"
			" Showing how to grid a grow"
		},
		/* [3] */
		{76, 3, 154, 301},
		StaticText {
			disabled,
			"FredWare from Apple Developer Technical "
			"Support, ADS group.\nCopyright   1991-1994 Ap"
			"ple Computer Inc.\nWritten by C.K. Haun ("
			"<TR>)."
		},
		/* [4] */
		{53, 82, 71, 227},
		StaticText {
			disabled,
			"version 1.0d1"
		}
	}
};

resource 'DITL' (129, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{170, 90, 190, 148},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 40, 62, 204},
		StaticText {
			disabled,
			"Help information should go here"
		}
	}
};

resource 'DITL' (130, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 100, 100, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{10, 80, 27, 237},
		StaticText {
			disabled,
			"Bad System Version!"
		},
		/* [3] */
		{50, 25, 66, 232},
		StaticText {
			disabled,
			"Requires System 7 or greater."
		}
	}
};

resource 'DITL' (131) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{70, 170, 90, 228},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{70, 100, 90, 158},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 10, 26, 255},
		StaticText {
			disabled,
			"Enter new window sizing grid value"
		},
		/* [4] */
		{40, 90, 56, 125},
		EditText {
			enabled,
			"20"
		}
	}
};

resource 'ALRT' (128, purgeable) {
	{40, 40, 229, 363},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	noAutoCenter
};

resource 'ALRT' (130, purgeable) {
	{40, 40, 149, 296},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	noAutoCenter
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

resource 'WIND' (128, purgeable) {
	{40, 40, 310, 572},
	zoomDocProc,
	visible,
	noGoAway,
	0x0,
	"GrowToGrid",
	noAutoCenter
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'STR ' (128) {
	"GrowToGrid Help..."
};

resource 'DLOG' (129, "Sample Help Dialog", purgeable) {
	{34, 40, 234, 280},
	dBoxProc,
	visible,
	goAway,
	0x0,
	129,
	"",
	noAutoCenter
};

data 'DLOG' (131, "grid setting", purgeable) {
	$"0028 0028 0093 012F 0001 0100 0100 0000"            /* .(.(../........ */
	$"0000 0083 00"                                       /* .... */
};


resource 'STR#' (128,purgeable){
{
"Current window growing grid setting:",
"Select Change Grid value from the test menu to modify"
}};